
package de.ivu.elect.business.unterstuetzer.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.unterstuetzer.entity.Eintragungsliste;
import de.ivu.elect.business.unterstuetzer.boundary.EintragungslisteDAO;
import de.ivu.elect.business.unterstuetzer.boundary.EintragungslisteCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractEintragungslisteCreate {

  @Inject
  protected EintragungslisteDAO dao;

    @Inject
    transient Event<EintragungslisteCreateEvent> createEvent;



  


public void save(Eintragungsliste entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Eintragungsliste entity) {
        createEvent.fire(new EintragungslisteCreateEvent(entity));
  }

}
